Form broken when fields with help_inline have errors

07/04/2012 10:20 AM - Olivier Favre

Status: Closed   

Priority: High   

Assignee:    

Category: Rails   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Open the Puppetclasses page, edit a puppetclass.

Go to the Smart-Variables tab, edit or create a smart-variable.

We'll add 3 errors:

put a blank name

select a type validator of "regexp"

type "^good" in validator constraint

type "foo" as default value

add a matcher, type "bar" for its value

Submit the form.

We have two kinds of problem:

The Smart-variables tab isn't highlighted in red (check for each smart-var to be so too)

(The name field has no problem and has a help_inline of "can't be blank")

The default value and matcher value fields are completely broken and appear partially as raw text.

I suspect the fields with errors suddenly no longer understand the :help_inline attribute, that gets written as an arbitrary HTML tag

argument, which is unfortunately .html_safe.

Associated revisions

Revision 0345ef19 - 07/05/2012 10:25 AM - Amos Benari

fixes #1730 broken ui when errors and help inline.

History

#1 - 07/05/2012 10:25 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 0345ef1984e16889d4de8e25e19ea4396361eb14.
